Bug 1471539 - DNF upgrade fails with conflicts for docker packages
DNF upgrade fails with conflicts for docker packages
Status: NEW
Product: Fedora
Classification: Fedora
Component: docker-distribution (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 14:58 EDT by Marek Novotny
Modified: 2017-11-16 14:38 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Novotny 2017-07-16 14:58:01 EDT
Description of problem:
Conflict for Docker package
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/man/man5/Dockerfile.5.gz conflicts between attempted installs of docker-2:1.13.1-19.git27e468e.fc26.x86_64 and docker-latest-2:1.13-30.git51eb16e.fc26.x86_64
  file /usr/lib/python2.7/site-packages/koji/__init__.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/__init__.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/__init__.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/__init__.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/__init__.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/tasks.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/tasks.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/tasks.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/db.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/db.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/util.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/util.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/util.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/auth.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/auth.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/auth.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/server.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/server.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/daemon.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/plugin.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/plugin.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/plugin.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/context.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/context.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/policy.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/policy.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/compatrequests.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/compatrequests.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/daemon.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/daemon.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/SSLCommon.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/SSLCommon.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/SSLConnection.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/SSLConnection.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch


Version-Release number of selected component (if applicable):
25 (updated before the running upgrade command)


How reproducible:
Have installed docker package and run upgrading command as
sudo dnf system-upgrade download --releasever=26 --allowerasing --best

Steps to Reproduce:
1. sudo dnf upgrade --refresh
2. sudo dnf install dnf-plugin-system-upgrad
3. sudo dnf system-upgrade download --releasever=26 --allowerasing

Actual results:
DNF ends with Transaction check error

Expected results:
DNF command ends succesfully with downloading new release packages
Comment 1 Marek Novotny 2017-07-16 14:59:29 EDT
resolved the conflict with removing docker package 
 $ sudo dnf remove docker
and running again the 
 $ sudo dnf system-upgrade download --releasever=26 --allowerasing
Comment 2 Fedora End Of Life 2017-11-16 14:38:19 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.